import type { SyntheticEvent } from 'react';
import { jsx } from '@instructure/emotion';
import type { DateInput2Props } from './props';
import type { FormMessage } from '@instructure/ui-form-field';
/**
---
category: components
---
**/
declare const DateInput2: {
    ({ renderLabel, screenReaderLabels, isRequired, interaction, isInline, value, messages, width, onChange, onBlur, withYearPicker, invalidDateErrorMessage, locale, timezone, placeholder, dateFormat, onRequestValidateDate, disabledDates, renderCalendarIcon, margin, inputRef, ...rest }: DateInput2Props): jsx.JSX.Element;
    propTypes: import("@instructure/shared-types").PropValidators<keyof {
        renderLabel: import("@instructure/shared-types").Renderable;
        screenReaderLabels: {
            calendarIcon: string;
            prevMonthButton: string;
            nextMonthButton: string;
        };
        value?: string;
        placeholder?: string;
        onChange?: (event: React.SyntheticEvent, inputValue: string, utcDateString: string) => void;
        onBlur?: (event: React.SyntheticEvent, value: string, utcDateString: string) => void;
        interaction?: "enabled" | "disabled" | "readonly";
        isRequired?: boolean;
        isInline?: boolean;
        width?: string;
        messages?: FormMessage[];
        invalidDateErrorMessage?: string;
        locale?: string;
        timezone?: string;
        withYearPicker?: {
            screenReaderLabel: string;
            onRequestYearChange?: (e: SyntheticEvent, requestedYear: number) => void;
            startYear: number;
            endYear: number;
        };
        dateFormat?: {
            parser: (input: string) => Date | null;
            formatter: (date: Date) => string;
        } | string;
        onRequestValidateDate?: (event: React.SyntheticEvent, value: string, utcDateString: string) => void;
        renderCalendarIcon?: import("@instructure/shared-types").Renderable;
        margin?: import("@instructure/emotion").Spacing;
        disabledDates?: string[] | ((isoDateToCheck: string) => boolean);
        inputRef?: (inputElement: HTMLInputElement | null) => void;
    }>;
};
export default DateInput2;
export { DateInput2 };
//# sourceMappingURL=index.d.ts.map